// Project imports:
import 'package:konnect/core/init/app_localizations.dart';

class AppStrings {
  // Menus
  static final String HOME = AppLocalizations.getString("Home");
  static final String ABOUT_US = AppLocalizations.getString("About Us");
  static final String FOLLOW_US = AppLocalizations.getString("Follow Us");
  static final String JOIN_US = AppLocalizations.getString("Join Us");
  static final String JOIN_US_NOW = AppLocalizations.getString("Join Us Now");
  static final String SIGN_IN = AppLocalizations.getString("Sign In");
  static final String SIGN_UP = AppLocalizations.getString("Sign Up");
  static final String HISTORY = AppLocalizations.getString("History");
  static final String LOCATION = AppLocalizations.getString("Location");
  static final String LOG_OUT = AppLocalizations.getString("Log Out");

  // Dialogs & BottomSheets
  static final String HOLD_ON = AppLocalizations.getString("Hold on!");
  static final String ARE_YOU_SURE = AppLocalizations.getString("Are you sure?");
  static final String SKIP = AppLocalizations.getString("Skip");
  static final String NEXT = AppLocalizations.getString("Next");
  static final String DONE = AppLocalizations.getString("Done");
  static final String YES = AppLocalizations.getString("Yes");
  static final String NO = AppLocalizations.getString("No");
  static final String MAYBE = AppLocalizations.getString("Maybe");
  static final String CANCEL = AppLocalizations.getString("Cancel");
  static final String SEND = AppLocalizations.getString("Send");
  static final String CONTINUE = AppLocalizations.getString("Continue");
  static final String CONFIRM = AppLocalizations.getString("Confirm?");
  static final String SHOW_ALERT = AppLocalizations.getString("Show Alert Dialog");
  static final String SHOW_BOTTOM_SHEET = AppLocalizations.getString("Show Bottom Sheet");
  static final String WELCOME_BACK = AppLocalizations.getString("Welcome Back");

  // Buttons
  static final String INTOUCH_NETWORK = AppLocalizations.getString("inTouch Network");
  static final String FEEDBACK = AppLocalizations.getString("Feedback");
  static final String CONTACT_US = AppLocalizations.getString("Contact Us");
  static final String HOW_IT_WORKS = AppLocalizations.getString("How It Works?");
  static final String CONTACT_DETAILS = AppLocalizations.getString("Contact Details");

  // Hint Text
  static final String USERNAME = AppLocalizations.getString("Username");
  static final String PASSWORD = AppLocalizations.getString("Password");
  static final String CONFIRM_PASSWORD = AppLocalizations.getString("Confirm Password");
  static final String EMAIL = AppLocalizations.getString("Email");

  static const String FULL_NAME_HINT_TEXT = "Eleanor Pena";
  static const String PASSWORD_HINT_TEXT = "********";
  static const String EMAIL_HINT_TEXT = "example@gmail.com";

  static final String OR = AppLocalizations.getString("OR");
  static final String NEED_HELP = AppLocalizations.getString("Need Help?");
  static final String REMEMBER_ME = AppLocalizations.getString("Remember me");
  static final String CREATE_ACCOUNT = AppLocalizations.getString("Create account");
  static final String FORGOT_PASSWORD = AppLocalizations.getString("Forgot Password?");
  static final String ALREADY_REGISTERED = AppLocalizations.getString("Already Registered?");
  static final String ACCEPT_TERMS = AppLocalizations.getString("I accept the policy and terms");
  static final String DONT_HAVE_AN_ACCOUNT = AppLocalizations.getString("Don't have an account? ");
  static final String ALREADY_HAVE_AN_ACCOUNT = AppLocalizations.getString("Already have an account? ");
  static final String LOGIN_GUIDE = AppLocalizations.getString("Sign in with your username and password");
  static final String CONNECT_GOOGLE = AppLocalizations.getString("Connect with Google");

  // About App
  static const String FONT_FAMILY = "GILROY";
  static const String APP_VERSION = "v.1.0";
  static const String APP_NAME = "Konnect";
  static final String APP_DESCRIPTION = "Connecting You From Around The World";
  static final String APP_LONG_DESCRIPTION = "";
  static final String APP_LONGRICH_DESCRIPTION = "Possible";
  static const String PHONE_NUMBER = "We Don\'t Know Yet";
  static const String DEV_EMAIL = "yunus192alpu@gmail.com";

  static final String SEARCH_IN_NETWORK = AppLocalizations.getString("Search in network");
  static final String SEARCH_HISTORY = AppLocalizations.getString("Search History");
  static final String LOCATION_HISTORY = AppLocalizations.getString("Location History");
  static final String FEEDBACK_LINK_TEXT = AppLocalizations.getString("Feel free to contribute!");
  static final String FEEDBACK_TEXT = AppLocalizations.getString("Every night & every deploy, the spreadsheet will be parsed by GitHub actions, then generate this beauty.\n\n\nIf you have any queries or issues for which you need your assistance: Feel free to mail us.");

  // Links
  static const String DISCORD_LINK = '';
  static const String TWITTER_LINK = '';
  static const String WEB_LINK = 'https://yunusemrealpu.netlify.app/';
  static const String GITHUB_LINK = 'https://github.com/YunusEmreAlps/konnect/tree/master/intouch';
  static const String LINKEDIN_LINK = 'https://www.linkedin.com/in/yunus-emre-alpu/';
  static const String YOUTUBE_LINK = 'https://www.youtube.com/channel/UCqXo9Qxcan0VHumC2zvo3jw';
  static final String googleFormLink = 'https://github.com/findmentor-network/find-mentor';

  // Splash Screen
  static final String SPLASH_TEXT = AppLocalizations.getString('Connecting...');

  // OnBoarding
  static const String ONBOARDING_TITLE_1 = "Find new places and explore adventures";
  static const String ONBOARDING_TITLE_2 = "No need to send text messages asking\n \"Where have you been today?\"";
  static const String ONBOARDING_TITLE_3 = "Stay connected with your \nfamily and friends all the time";

  // Error Messages
  static final String EMAIL_NULL_ERROR = "Please Enter your email";
  static final String INVALID_EMAIL_ERROR = "Please Enter Valid Email";
  static final String NULL_PASSWORD_ERROR = "Please Enter your password";
  static final String SHORT_PASSWORD_ERROR = "Password is too short";
  static final String MATCH_PASSWORD_ERROR = "Passwords don\'t match";
  static final String NAME_NULL_ERROR = "Please Enter your name";
  static final String INVALID_NAME_ERROR = "Name must be a-z and A-Z";
  static final String SHORT_USERNAME_ERROR = "Username is too short";
  static final String PHONE_NUMBER_NULL_ERRORr = "Please Enter your phone number";
  static final String ADDRESS_NULL_ERROR = "Please Enter your address";
   static final String PASSWORD_MISMATCH = "Password mismatch";
  static final String CALL_ERROR = AppLocalizations.getString('Call failed');
  static final String MAIL_ERROR = AppLocalizations.getString('E-Mail not delivered');
  static final String WEB_ERROR = AppLocalizations.getString('Could not open website!');
}
